# Fundraise Up API
Fundraise Up API is a module for developers to integrate Drupal with Fundraise Up - digital fundraising tools.

It provides structure for API calls and services to build any integration on top.

## Setup

After installing the module, you will need to provide credentials
for RestApi.

Go to `/admin/config/services/fundraise-up-api` and provide credentials.

## Examples

```php
// Request via RestApi client.
/* @var \Drupal\fundraise_up_api\Http\RestClient $restApi */
$openApi = \Drupal::service('fundraise_up_api.manager')->getRestApiClient();
$response = $openApi->donations()->getDonations();
foreach ($response->PaymentProcessors as $paymentProcessor) {
  //
}

// Other useful methods are available for $response.
$response->getStatusCode();   // 200;
$response->getReasonPhrase(); // 'OK';
// etc...

```

## How to add a new Resource
An example for RestApi:
1. Create a class and place it in `/src/Resources/RestApi/` folder.
2. Describe a new method in `/src/Http/RestApiClient.php`
