<?php

namespace Drupal\fundraise_up_api\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Form\FormBuilder;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class DonationsController.
 *
 * @package Drupal\fundraise_up_api\Controller
 */
class DonationsController extends ControllerBase {

  /**
   * The form builder.
   *
   * @var \Drupal\Core\Form\FormBuilder
   */
  protected $formBuilder;

  /**
   * {@inheritdoc}
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface $container
   *   The Drupal service container.
   *
   * @return static
   */
  public static function create(ContainerInterface $container) {
    $instance = parent::create($container);
    $instance->formBuilder = $container->get('form_builder');

    return $instance;
  }

  /**
   * {@inheritdoc}
   */
  public function donations() {
    $build = [
      $this->formBuilder->getForm('Drupal\fundraise_up_api\Form\Donations\GetDonationsForm'),
      $this->formBuilder->getForm('Drupal\fundraise_up_api\Form\Donations\GetDonationByIdForm'),
    ];

    return $build;
  }

}
